<div class="theme-info">
	<div class="container">
		<h1 class="dashboard-heading"><?php esc_html_e( 'Welcome to the Themereps Helper Dashboard', 'themereps-helper' ); ?></h1>

		<div class="row">
			<div class="col-md-12">
				<div class="dashboard-info">
					<p><?php esc_html_e( 'Themereps Helper - is the companion plugin for the themes developed by Themereps team. This plugin provides core functionlity and demo content import facility for the Themereps themes.', 'themereps-helper' ); ?></p>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="col-md-2">
				<div class="section-box">
					<div class="icon">
						<span class="dashicons dashicons-paperclip"></span>
					</div>
					<div class="heading">
						<h3><a href="https://themereps.com/<?php echo themereps_helper_get_current_theme_slug(); ?>" target="_blank"><?php esc_html_e( 'MORE INFO', 'themereps-helper' ); ?></a></h3>
					</div>						
				</div>
			</div>
			
			<div class="col-md-2">
				<div class="section-box">
					<div class="icon">
						<span class="dashicons dashicons-visibility"></span>
					</div>
					<div class="heading">
						<h3><a href="https://www.<?php echo themereps_helper_get_current_theme_slug(); ?>.themereps.com/" target="_blank"><?php esc_html_e( 'VIEW DEMO', 'themereps-helper' ); ?></a></h3>
					</div>						
				</div>
			</div>
			<div class="col-md-2">
				<div class="section-box">
					<div class="icon">
						<span class="dashicons dashicons-format-aside"></span>
					</div>
					<div class="heading">
						<h3><a href="https://themereps.com/documentations/" target="_blank"><?php esc_html_e( 'VIEW DOCUMENTATION', 'themereps-helper' ); ?></a></h3>
					</div>						
				</div>
			</div>

			<div class="col-md-2">
				<div class="section-box">
					<div class="icon">
						<span class="dashicons dashicons-admin-users"></span>
					</div>
					<div class="heading">
						<h3><a href="https://wordpress.org/support/theme/<?php echo themereps_helper_get_current_theme_slug(); ?>/" target="_blank"><?php esc_html_e( 'ASK FOR SUPPORT', 'themereps-helper' ); ?></a></h3>
					</div>						
				</div>
			</div>
			<div class="col-md-2">
				<div class="section-box">
					<div class="icon">
						<span class="dashicons dashicons-star-filled"></span>
						</div>
					<div class="heading">
						<h3><a href="https://wordpress.org/support/theme/<?php echo themereps_helper_get_current_theme_slug(); ?>/reviews/#new-post" target="_blank"><?php esc_html_e( 'RATE OUR THEME', 'themereps-helper' ); ?></a></h3>
					</div>						
				</div>
			</div>
			<div class="col-md-2">
				<div class="section-box">
					<div class="icon">
						<span class="dashicons dashicons-admin-tools"></span>
					</div>
					<div class="heading">
						<h3><a href="https://themes.trac.wordpress.org/log/<?php echo themereps_helper_get_current_theme_slug(); ?>/" target="_blank"><?php esc_html_e( 'VIEW CHANGELOGS', 'themereps-helper' ); ?></a></h3>
					</div>						
				</div>
			</div>
		</div>

		<div class="row">
			<div class="col-md-12">
				<div class="comp-box">
					<center><h2 class="table-heading"><?php esc_html_e( 'Why should you Upgrade to premium version?', 'themereps-helper' ); ?></h2></center>
					<div class="comp-table">
						<table>
							<thead> 
								<tr> 
									<td class="thead-column1"><strong><h4><?php esc_html_e( 'Feature', 'themereps-helper' ); ?></h4></strong></td>
									<td class="thead-column2"><strong><h4><?php esc_html_e( 'Free', 'themereps-helper' ); ?></h4></strong></td>
									<td class="thead-column3"><strong><h4><?php esc_html_e( 'Premium', 'themereps-helper' ); ?></h4></strong></td>
								</tr> 
							</thead>
							<tbody>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Favicon, Logo, Title and Tagline Customization', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-yes"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Customizer Theme Options', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-yes"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>

								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Top Bar', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-yes"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Responsive Design', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-yes"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'WooCommerce', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-yes"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Sidebar Options (Full, Left and Right)', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-yes"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Related Posts', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-yes"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( '1 Click Demo Import', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-yes"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Preloader', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-yes"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'BacktoTop Button', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-yes"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Header Layouts', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><?php esc_html_e( '1', 'themereps-helper' ); ?></td>
									<td class="tbody-column3"><?php esc_html_e( '3', 'themereps-helper' ); ?></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Footer Layouts', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><?php esc_html_e( '1', 'themereps-helper' ); ?></td>
									<td class="tbody-column3"><?php esc_html_e( '2', 'themereps-helper' ); ?></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Home Slides', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><?php esc_html_e( 'Limited(2)', 'themereps-helper' ); ?></td>
									<td class="tbody-column3"><?php esc_html_e( 'Unlimited', 'themereps-helper' ); ?></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Color Settings', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><?php esc_html_e( 'Limited', 'themereps-helper' ); ?></td>
									<td class="tbody-column3"><?php esc_html_e( 'Extended', 'themereps-helper' ); ?></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Sticky Header', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>

								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Typography Settings', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Google Fonts', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'WooCommerce Extra Settings', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Megamenu', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Team Section', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Brand Logos Section', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( '3 Custom Widgets', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Section Re-order', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'PRO Demos', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr>
								<tr> 
									<td class="tbody-column1"><?php esc_html_e( 'Priority Support', 'themereps-helper' ); ?></td>
									<td class="tbody-column2"><span class="dashicons dashicons-no-alt"></span></td>
									<td class="tbody-column3"><span class="dashicons dashicons-yes"></span></td>
								</tr> 
								<tr class="last-row"> 
									<td class="tbody-column1"></td>
									<td class="tbody-column2"></td>
									<td class="tbody-column3"><a class="button button-primary button-large" href="<?php echo admin_url( 'admin.php?page=themereps-helper-pricing' ); ?>"><?php esc_html_e( 'Buy PRO', 'themereps-helper' ); ?></a></td>
								</tr> 
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
		
		<div class="row">
			<div class="col-md-12">
				<div class="title">
					<div class="review-content">
						<p><?php esc_html_e( ' Please ', 'themereps-helper' )  ?><a href="https://wordpress.org/support/theme/<?php echo themereps_helper_get_current_theme_slug(); ?>/reviews/#new-post" target="_blank"><?php esc_html_e( 'rate our theme', 'themereps-helper' ); ?></a>
						<?php esc_html_e( '★★★★★ to help us spread the word. Thank you from the Themereps team!', 'themereps-helper' ); ?></p>
					</div>
				</div>
			</div>
		</div>

	</div>
</div>